#include <iostream>
#include <cmath>
using namespace std;

int main(){
	int i,j;
long int n=0,fak=0,m=0;
cin>>n>>m;
int boja[n];
bool dali[n][m];

for(i=1; i<=n; i++){
	cin>>boja[n];
}
for(i=1; i<=m; i++){
	for(j=1; j<=boja[j]; j++ ){
		dali[i][j]=true;
	}
}
for(i=1; i<=m; i++){
	int no=0,o=0;
	for(j=1; j<=n; j++){
		if(dali[i][j]==true ){
			o++;
		}
		else if(dali[i][j]  ==  false ){
			no++;
			
		}
		
	}
	fak=fak+(o*no);
}
cout<<fak;
}